@echo off
echo.
echo ========= Building RMI Cluster example =========
@echo on

javac -d %SERVER_CLASSES% HelloCluster.java
javac -d %CLIENT_CLASSES% HelloClusterClient.java
javac -d %SERVER_CLASSES% HelloClusterImpl.java
javac -d %CLIENT_CLASSES% ..\utils\*.java

REM Note the -clusterable flag
java weblogic.rmic -d %SERVER_CLASSES% -methodsAreIdempotent -clusterable -keepgenerated -commentary examples.cluster.rmi.HelloClusterImpl

pushd ..
javac -d %SERVER_CLASSES% utils\*.java
popd

@echo off
echo.
echo ========= End of building RMI Cluster example =========
echo.
@echo on

@endlocal